﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StructureMap;
using MedievalExample.Repository.Interface;
using MedievalExample.DB;

namespace MedievalExample.Business
{
    public static class WeaponTypeManager
    {
        private static IRepository<WeaponType> _repository
        {
            get
            {
                return ObjectFactory.GetInstance<IRepository<WeaponType>>();
            }
        }

        public static WeaponType GetByName(string name)
        {
            return _repository.Single(x => x.Name == name);
        }
    }
}
